<?php

require_once "../app/model/db.class.php";


if (!isset($_SESSION)) { session_start(); }

if ($_POST['accion']=='retornar_rol'){

    echo $_SESSION['rol'];
}

//-----------------------------------------
if ($_REQUEST['accion']=='grados'){

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("select * from grados");
    $obj->disconnect();

    $n=$obj->numero_de_filas($resultado);

 
    if ($n!=0){

        $opciones = '<option value="0">     - Seleccione Grado - </option>';
         while($row =$obj->fetch_assoc($resultado)){
               $opciones.='<option value="'.$row['codigo'].'">'.$row['descripcion'].'</option>';
         }

         echo $opciones;        
    }
  
}

//--------------------------------------


if ($_REQUEST['accion']=='grupos'){

    $grado=$_REQUEST['grado'];

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("select codigo,descripcion from cursos where cursos.grado='".$grado."' order by cursos.orden");
    $obj->disconnect();

    $n=$obj->numero_de_filas($resultado);


    if ($n!=0){

        $opciones = '<option value="0">     - Seleccione Grupo - </option>';
         while($row =$obj->fetch_assoc($resultado)){
               $opciones.="<option value='".$row['codigo']."'>".$row['codigo']." - ".$row['descripcion']."</option>";
         }

         echo $opciones;
    }

}

//------------------------------//--------------------------------------

if ($_REQUEST['accion']=='periodos'){

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("select * from periodos");
    $obj->disconnect();

    $n=$obj->numero_de_filas($resultado);


    if ($n!=0){

        $opciones = '<option value="0">     - Seleccione Trimestre - </option>';
         while($row =$obj->fetch_assoc($resultado)){
               $opciones.='<option value="'.$row['codigo'].'">'.$row['descripcion'].'</option>';
         }

         echo $opciones;
    }

}

//----------------------------------------------

if ($_POST['accion']=='mostrar_docente'){

    $codigo=$_SESSION['profesor'];
 
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $query=$obj->consulta("select cedula as codigo,nombres as descripcion from profesores where cedula='".$codigo."'");

    $row = $obj->fetch_assoc($query);

    echo $row['codigo']."*".($row['descripcion']);
   
    $obj->disconnect();

}

//--------------------------------------

if ($_REQUEST['accion']=='labor_academica'){

    $profesor=$_REQUEST['profesor'];

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
   
    $cadena=$obj->consulta("select curso_asignatura_profesor.profesor, curso_asignatura_profesor.grado, curso_asignatura_profesor.curso, cursos.descripcion as nom_curso, curso_asignatura_profesor.asignatura, catalogo.descripcion as nom_asign, cursos.jornada, 
                            jornadas.descripcion as nom_jor from jornadas inner join (catalogo inner join (cursos inner join curso_asignatura_profesor on (cursos.codigo = curso_asignatura_profesor.curso) and (cursos.grado = curso_asignatura_profesor.grado)) on catalogo.codigo = curso_asignatura_profesor.asignatura) on jornadas.codigo = cursos.jornada 
                            where curso_asignatura_profesor.profesor='".$profesor."'");
    
    
    $obj->consulta("DELETE FROM curso_asign_pro_temporal");
    
    $obj->consulta("INSERT INTO curso_asign_pro_temporal(profesor, nombres,grado,curso,nom_curso,asignatura,nom_asign,jornada,nom_jor)
                    select curso_asignatura_profesor.profesor, profesores.nombres, curso_asignatura_profesor.grado, curso_asignatura_profesor.curso, cursos.descripcion as nom_curso, curso_asignatura_profesor.asignatura, catalogo.descripcion as nom_asign, 
                    cursos.jornada, jornadas.descripcion as nom_jor from profesores inner join (jornadas inner join (cursos inner join (catalogo inner join curso_asignatura_profesor on catalogo.codigo = curso_asignatura_profesor.asignatura) on 
                    (cursos.codigo = curso_asignatura_profesor.curso) and (cursos.grado = curso_asignatura_profesor.grado)) on jornadas.codigo = cursos.jornada) on profesores.cedula = curso_asignatura_profesor.profesor 
                    where curso_asignatura_profesor.profesor='" .$profesor ."'");
    
    
    $obj->consulta("UPDATE curso_asign_pro_temporal SET activar='1'");
    
    $n=$obj->numero_de_filas($cadena);
    $s='';

    $i=1;
    if ($n!=0){
     
    $s="<br><div><input type='checkbox' checked value='1'  id ='casilla1' onclick='marcar1(this);' /> Marcar/Desmarcar Asignaturas";
    
    $s.="<table width='80%' align='center' style='border-collapse:collapse;' cellspacing='0' cellpadding='3' border='1' >";
    $s.="<tr ALIGN='CENTER' style='font-size:12px'> <td><b>No.</b></td>  <td><b>GRADO</b></td>  <td><b>CURSO</b></td> <td><b>ASIGNATURA</b></td> <td><b>ACTIVAR</b></td>";
    $s.="</tr>";

    while($row = $obj->fetch_assoc($cadena)){

        $s.="<tr>";

        $s.="<td align='center' style='font-size: 12px' width='5%'>".$i."</td>";
        $s.="<td align='center' style='font-size: 12px' width='5%'>".$row['grado']."</td>";
        $s.="<td style='font-size: 12px'> &nbsp;".$row['nom_curso']."</td>";
        $s.="<td style='font-size: 12px'> &nbsp;".$row['nom_asign']."</td>";
        $s.="<td width='5%' align='center'><input id='".$row['grado']."_".$row['curso']."_".$row['asignatura']."' type='checkbox' checked value='1' onclick='activar_labor(\"".$row['grado']."\",\"".$row['curso']."\",\"".$row['asignatura']."\")'/></td>";

        $s.="</tr>";
        $i++;
   }

    $s.="</table></div>";

   }

    echo $s;

    $obj->disconnect();
       
}

//--------------------------------------

if ($_REQUEST['accion']=='marcar_desmarcar_asignaturas'){

    $estado=$_REQUEST['estado'];

    if ($estado=='true'){
        $estado='1';
    }

    if ($estado=='false'){
        $estado='0';
    }

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $obj->consulta("UPDATE curso_asign_pro_temporal SET activar='".$estado."'");
}

//--------------------------------------

if ($_REQUEST['accion']=='activar_labor'){

    $grado=$_REQUEST['grado'];
    $curso=$_REQUEST['curso'];
    $asignatura=$_REQUEST['asignatura'];
    $estado=$_REQUEST['estado'];
         
    if ($estado=='true'){
        $estado='1';
    }

    if ($estado=='false'){
        $estado='0';
    }

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $obj->consulta("UPDATE curso_asign_pro_temporal SET activar='".$estado."' where grado='".$grado."' and curso='".$curso."' and asignatura='".$asignatura."'");

    $obj->disconnect();

}

//----------------------------------------------



if ($_POST['accion']=='listado'){

    $id1=$_POST['id1'];
    $id2=$_POST['id2'];
   
    $tabla=$_POST['tabla'];
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    if ($tabla=="profesores"){
        $query=$obj->consulta("select cedula,nombres from ".$tabla." order by orden");
    }

    else{
        $query=$obj->consulta("select codigo,descripcion from ".$tabla." order by orden");
    }
    
    $obj->disconnect();

    $cadena="<table class='hovertable1' border='0' cellspacing='0' cellpadding='0' width='100%'>";

    while($row = $obj->fetch_assoc($query)) {

      $cadena.="<tr>";

      if ($tabla=="profesores"){
          $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='../imagenes/boton.png' onClick='mostrar_lista(\"".$id1."\",\"".$id2."\",\"".$row['cedula']."\",\"".($row['nombres'])."\");' height='20' width='30' alt='Seleccionar' title='Seleccionar'></td>";
          $cadena.="<td>".$row['cedula']."</td><td>".($row['nombres'])."</td></tr>";
      }
      else{
          $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='../imagenes/boton.png' onClick='mostrar_lista(\"".$id1."\",\"".$id2."\",\"".$row['codigo']."\",\"".($row['descripcion'])."\");' height='20' width='30' alt='Seleccionar' title='Seleccionar'></td>";
          $cadena.="<td>".$row['codigo']."</td><td>".($row['descripcion'])."</td></tr>";          
      }

    }

    $cadena.="</table>";
    echo $cadena;

}

//--------------------------------------------


if ($_POST['accion']=='listado_grado'){

    $id1=$_POST['id1'];
    $id2=$_POST['id2'];
    $sede=$_POST['sede'];
   
    $tabla=$_POST['tabla'];
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $query=$obj->consulta("select grados.codigo, grados.descripcion from grados inner 
        join cursos on grados.codigo=cursos.grado where cursos.sede='".$sede."' group by grados.codigo order by grados.orden asc;");
    
    
    $obj->disconnect();
    
    $cadena="<table class='hovertable1' border='0' cellspacing='0' cellpadding='0' width='100%'>";

    while($row = $obj->fetch_assoc($query)) {

      $cadena.="<tr>";     
      $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='../imagenes/boton.png' onClick='mostrar_lista_grado(\"".$id1."\",\"".$id2."\",\"".$row['codigo']."\",\"".($row['descripcion'])."\");' height='20' width='30' alt='Seleccionar' title='Seleccionar'></td>";
      $cadena.="<td>".$row['codigo']."</td><td>".($row['descripcion'])."</td></tr>";          


    }

    $cadena.="</table>";
    echo $cadena;

}

//--------------------------------------------


if ($_POST['accion']=='listado_curso'){

    $id1=$_POST['id1'];
    $id2=$_POST['id2'];

    $tabla=$_POST['tabla'];
    $grado=$_POST['grado'];
    $sede=$_POST['sede'];

    $obj = new database();
    
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $query=$obj->consulta("select codigo,descripcion from cursos where sede='".$sede."' and grado='".$grado."' order by orden");

    $obj->disconnect();

    $cadena="<table class='hovertable1' border='0' cellspacing='0' cellpadding='0' width='100%'>";

    while($row = $obj->fetch_assoc($query)) {

      $cadena.="<tr>";

      $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='../imagenes/boton.png' onClick='mostrar_lista(\"".$id1."\",\"".$id2."\",\"".$row['codigo']."\",\"".($row['descripcion'])."\");' height='20' width='30' alt='Seleccionar' title='Seleccionar'></td>";
      $cadena.="<td>".$row['codigo']."</td><td>".($row['descripcion'])."</td></tr>";

    }

    $cadena.="</table>";
    echo $cadena;

}

//-------------------------------------------
if ($_POST['accion']=='listado_jornada'){

    $sede=$_POST['sede'];
    $grado=$_POST['grado'];
    $curso=$_POST['curso'];

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $query=$obj->consulta("select cursos.jornada, jornadas.descripcion from jornadas inner join cursos on jornadas.codigo = cursos.jornada where cursos.sede='".$sede."' and cursos.grado='".$grado."' and cursos.codigo='".$curso."'");

    $obj->disconnect();

    $n=$obj->numero_de_filas($query);

    if ($n!=0){
        $row = $obj->fetch_assoc($query);
        echo $row['jornada']."_".($row['descripcion']);
    }
    else{
        echo "NO EXISTE";
    }



}
//--------------------------------------------

if ($_POST['accion']=='al_salir_grado'){

    $tabla=$_POST['tabla'];
    $codigo=$_POST['codigo'];
    $sede=$_POST['sede'];
    
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");


    $query=$obj->consulta("select grados.codigo, grados.descripcion from grados inner 
        join cursos on grados.codigo=cursos.grado where grados.codigo='".$codigo."' and cursos.sede='".$sede."' group by grados.codigo order by grados.orden asc;");
    


    $n=$obj->numero_de_filas($query);
    $obj->disconnect();

    $row = $obj->fetch_assoc($query);

    if ($n>0){
        
        $cadena=($row['descripcion']);        

    }
    else{
        $cadena="0";
    }

    echo $cadena;
}


//--------------------------------------------

if ($_POST['accion']=='al_salir'){

    $tabla=$_POST['tabla'];
    $codigo=$_POST['codigo'];
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");


    if ($tabla=="profesores"){
        $query=$obj->consulta("select cedula,nombres from ".$tabla." where cedula='".$codigo."'");
    }
    else{
        $query=$obj->consulta("select codigo,descripcion from ".$tabla." where codigo='".$codigo."'");
    }


    $n=$obj->numero_de_filas($query);
    $obj->disconnect();

    $row = $obj->fetch_assoc($query);

    if ($n>0){

        if ($tabla=="profesores"){
            $cadena=($row['nombres']);
        }
        else{
             $cadena=($row['descripcion']);
        }

    }
    else{
        $cadena="0";
    }

    echo $cadena;
}

//--------------------------------------------

if ($_POST['accion']=='al_salir_curso'){

    $sede=$_POST['sede'];
    $grado=$_POST['grado'];
    $curso=$_POST['curso'];
    
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $query=$obj->consulta("select cursos.jornada, jornadas.descripcion, cursos.codigo, cursos.descripcion as nom_curso from jornadas inner join cursos on jornadas.codigo = cursos.jornada where cursos.codigo='".$curso."' and cursos.sede='".$sede."' and cursos.grado='".$grado."'");


    $n=$obj->numero_de_filas($query);
    $obj->disconnect();

    $row = $obj->fetch_assoc($query);

    if ($n>0){   
        $cadena=($row['nom_curso'])."_".$row['jornada']."_".($row['descripcion']);
    }
    else{
        $cadena="0";
    }

    echo $cadena;
}

?>